geom(1)

NAME
geom - analyzes a molecular geometry input in Cartesian coordinates.

DESCRIPTION
The program geom reads a set of Cartesian coordinates and determines from them the bond distances (Bohr and angstrom), bond angles, torsional angles, out-of-plane angles (optional), moments of inertia, and rotational constants.

FILES REQUIRED
    input.dat          - Input file
and one of the following:
    geom.dat           - geometry file
    file11.dat         - PSI-format geometry/gradient file

FILES GENERATED
    geom.out           - file containing the analysis

INPUT OPTIONS

The geom program has the following options:

-h  Print help information (these options).

-aces [filename]
    Read the input in an ACES output format, with each line consisting of atomic symbol, atomic number, and Cartesian coordinates (in Bohr). The optional argument is the name of the geometry input file, which defaults to geom.dat.

-qchem [filename]
    Read the input in an QCHEM output format, with each line consisting of the atom number, the atomic symbol, and Cartesian coordinates (in Angstroms). The optional argument is the name of the geometry input file, which defaults to geom.dat.

-xyz [filename]
    Read the input in an XYZ output format. The first line contains the number of atoms and the second line is a comment line. Subsequent lines each contain the atomic symbol and Cartesian X Y and Z coordinates (in Angstroms). The optional argument is the name of the geometry input file, which defaults to geom.dat.

-oop
    Print out-of-plane angles, where the angle a-b-c-d is defined as the angle formed by the vector a-d and the plane defined by atoms b, c, and d.

DO_OOP = boolean
    Same as command-line switch -oop described above.

ISOTOPES = matrix of reals/strings
    Used to specify masses to be used in the calculation of the center of mass and rotational constants. One array is provided for each isotopomer to be calculated. The arrays can mix floating point numbers with strings which designate isotopes. If this array is not given and file11.dat is present, then the masses will be obtained by converting the atomic numbers in file11. If masses are not given by ISOTOPES or by file11, then no mass-related quantities will be calculated.

-g [filename]
    Read Cartesian coordinates from a file other than file11.dat. If a filename is not given, the default is geom.dat. The alternative file is assumed to be in a format similar to that of PSI's geom.dat. Since such files do not contain atomic numbers, the moments of inertia and rotational constants are not calculated if this option is used.

READ_GEOM = boolean
    This option in input.dat tells geom to read the geometry from geom.dat in the PSI geom.dat format.

-a  Print parameters for all pair distances.

PRINT_ALL_DIST = boolean
    Same as -a flag described above.

-d distance
    Only print parameters involving pairs of atoms which are less than distance bohr apart (default value is 4.0 bohr).

PRINT_DISTANCE = value
    Same as -d flag described above.

-angstrom
    The input coordinates are in angstroms, not bohr.

ANGSTROM = boolean
    If TRUE, the input coordinates are in angstroms instead of bohr. The default is FALSE.

    The following example is for calculating the geometrical information for water with several different isotopes. The geometry is read from geom.dat rather than from file11.dat.

    geom: (
       read_geom = true
       isotopes = (
          (O H H)
          (O D D)
          (O18 1.007825 1.007825)
        ) )